$('#small .item').click(function() {
    $('#bigImage img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small .item").removeClass("active");
    } else {
        $("#small .item").removeClass("active");
        $(this).addClass("active");
    }
});
$('#small1 .item').click(function() {
    $('#bigImage1 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small1 .item").removeClass("active");
    } else {
        $("#small1 .item").removeClass("active");
        $(this).addClass("active");
    }
});
$('#small2 .item').click(function() {
    $('#bigImage2 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small2 .item").removeClass("active");
    } else {
        $("#small2 .item").removeClass("active");
        $(this).addClass("active");
    }
});

$('#small3 .item').click(function() {
    $('#bigImage3 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small3 .item").removeClass("active");
    } else {
        $("#small3 .item").removeClass("active");
        $(this).addClass("active");
    }
});

$('#small4 .item').click(function() {
    $('#bigImage4 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small4 .item").removeClass("active");
    } else {
        $("#small4 .item").removeClass("active");
        $(this).addClass("active");
    }
});

$('#small5 .item').click(function() {
    $('#bigImage5 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small5 .item").removeClass("active");
    } else {
        $("#small5 .item").removeClass("active");
        $(this).addClass("active");
    }
});

$('#small6 .item').click(function() {
    $('#bigImage6 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small6 .item").removeClass("active");
    } else {
        $("#small6 .item").removeClass("active");
        $(this).addClass("active");
    }
});
$('#small7 .item').click(function() {
    $('#bigImage7 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small7 .item").removeClass("active");
    } else {
        $("#small7 .item").removeClass("active");
        $(this).addClass("active");
    }
});
$('#small8 .item').click(function() {
    $('#bigImage8 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#small8 .item").removeClass("active");
    } else {
        $("#small8 .item").removeClass("active");
        $(this).addClass("active");
    }
});
function stickyHeader() {
    if ($('.menubar').length) {
        var strickyScrollPos = 100;
        if ($(window).scrollTop() > strickyScrollPos) {
            $('.menubar').addClass('stricky-fixed');
        } else if ($(this).scrollTop() <= strickyScrollPos) {
            $('.menubar').removeClass('stricky-fixed');
        }
    };
}

jQuery(window).on('scroll', function () {
    (function ($) {
        stickyHeader();
    })(jQuery);
});


if ($(".navigation").length) {
    $(".navigation .navbar button").on("click", function () {
        $(".navigation .menu").slideToggle();
        $(this).toggleClass('open');
        return false;
    });
    $(".navigation .cs-submenu").children("a").append(function () {
        return '<button class="dropdown-expander"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';
    });

}

if (document.documentElement.clientWidth < 1023) {
    $(".navigation .menu .dropdown-expander").on("click", function () {
        $(this).parent().parent().children(".cs-dropdown").slideToggle();
        console.log($(this).parents("li"));
        console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));
        return false
    })
    $(document).click(function (e) {
        if (!$(e.target).closest('.navigation .navbar button').length) {
            $('.navigation .menu').stop(true).slideUp();
            $(".navigation .navbar button").removeClass('open');

        }
    });
}


var homeSlider = $("#slider");
homeSlider.owlCarousel({
    loop: true,
    margin: 0,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: false,
    animateOut: "fadeOut",
    items: 1,
    responsiveClass: true,
    responsive: {
        0: {
            nav: false
        },
        600: {
            nav: false
        },
        1024: {},
        1100: {}
    }
});


var offers = $("#offers");
offers.owlCarousel({
    loop: false,
    margin: 0,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: false,
    items: 1,
    responsiveClass: true,
    responsive: {
        0: {
            nav: false
        },
        600: {
            nav: false
        },
        1024: {},
        1100: {}
    }
});


var featuredProducts = $(".wps_featured");
featuredProducts.owlCarousel({
    loop: true,
    margin: 10,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: false,
    items: 3,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        700: {
            items: 2,
        },
        1024: {
            items: 3
        },
        1200: {
            items: 4
        }
    }
});


var ourProducts = $("#ourProducts");
ourProducts.owlCarousel({
    loop: true,
    margin: 10,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: false,
    items: 3,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        1024: {
            items: 4
        },
        1100: {
            items: 4
        }
    }
});


var blogs = $("#blogs");
blogs.owlCarousel({
    loop: false,
    margin: 10,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: true,
    items: 3,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        1024: {
            items: 3
        },
        1100: {
            items: 3
        }
    }
});
var testimonials = $("#testimonials");
testimonials.owlCarousel({
    loop: true,
    margin: 15,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: true,
    items: 3,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        1024: {
            items: 1
        },
        1100: {
            items: 1
        }
    }
});


var clients = $("#clients");
clients.owlCarousel({
    loop: true,
    margin: 15,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: true,
    items: 6,
    responsiveClass: true,
    responsive: {
        0: {
            items: 2
        },
        600: {
            items: 2,
        },
        1024: {
            items: 4
        },
        1100: {
            items: 4
        }
    }
});


wow = new WOW({
    animateClass: 'animated',
    offset: 100,
    mobile: false
});
wow.init();
$(window).on('scroll', function () {
    if ($(this).scrollTop() > 100) {
        $('#web-pulse-scroll-up').fadeIn();
    } else {
        $('#web-pulse-scroll-up').fadeOut();
    }
});
$('#web-pulse-scroll-up').on('click', function () {
    $("html, body").animate({
        scrollTop: 0
    }, 600);
    return false;
});

lozad('.lozad', {
    load: function(el) {
        el.src = el.dataset.src;
        el.onload = function() {
            el.classList.add('fadess')
        }
    }
}).observe();
$('#thumbs img').click(function () {
    $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#thumbs img").removeClass("active");
    } else {
        $("#thumbs img").removeClass("active");
        $(this).addClass("active");
    }
});

$("li.cs-submenu button.dropdown-expander").click(function(){
    $("ul.cs-dropdown").toggle();
  });